# vim: set ts=2 sw=2 sts=2 et:
#
# Fixtures
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

XLite\Model\LanguageLabel:
  - {name: '[AS] AutoSync', translations: [{code: en, label: 'AutoSync'}]}
  - {name: '[AS] AutoSync API Integration', translations: [{code: en, label: 'AutoSync API Integration'}]}
  - {name: '[AS] AutoSync Settings', translations: [{code: en, label: 'AutoSync Settings'}]}
  - {name: '[AS] API Key', translations: [{code: en, label: 'API Key'}]}
  - {name: '[AS] Alert - create AS account', translations: [{code: en, label: 'Enter your AutoSync API key, and save the changes. If you don’t have it, contact <a target="_blank" href="https://autosynccorp.com">AutoSync</a>.'}]}
  - {name: '[AS] Getting Your API Key for AutoSync', translations: [{code: en, label: 'Getting Your API Key for AutoSync'}]}
  - {name: '[AS] Log in to AutoSync Portal', translations: [{code: en, label: 'Log in to AutoSync Portal'}]}
  - {name: '[AS] Info tooltip (import products)', translations: [{code: en, label: 'You are not allowed to import products from this brand.'}]}
  - {name: '[AS] Product Types', translations: [{code: en, label: 'Product Types'}]}
  - {name: '[AS] Product Types - Help', translations: [{code: en, label: 'Select product types to be imported'}]}
  - {name: '[AS] Brand ID {{value}} already exists', translations: [{code: en, label: 'AutoSync Brand ID {{value}} already exists'}]}
  - {name: '[AS] Please select the brand attribute', translations: [{code: en, label: 'Please select the brand attribute on the <a href="{{link}}">Brands module settings</a> page'}]}
  - {name: 'AutoSync Brand ID', translations: [{code: en, label: 'AutoSync Brand ID'}]}
  - {name: '[AS] Vehicle data import is started', translations: [{code: en, label: 'Vehicle data import is started'}]}
  - {name: '[AS] Vehicle data import in progress', translations: [{code: en, label: 'Vehicle data import in progress'}]}
  - {name: '[AS] Failed to import vehicles. {{errorMessage}}', translations: [{code: en, label: 'Failed to import vehicles. {{errorMessage}}'}]}
  - {name: '[AS] Vehicle data import completed', translations: [{code: en, label: 'Vehicle data import completed '}]}
  - {name: '[AS] Brands data import is started', translations: [{code: en, label: 'Brands data import is started'}]}
  - {name: '[AS] Brands data import in progress', translations: [{code: en, label: 'Brands data import in progress'}]}
  - {name: '[AS] Failed to import brands. {{errorMessage}}', translations: [{code: en, label: 'Failed to import brands. {{errorMessage}}'}]}
  - {name: '[AS] View vehicles', translations: [{code: en, label: 'View vehicles'}]}
  - {name: '[AS] Load AutoSync product images scheduler', translations: [{code: en, label: 'Load AutoSync product images scheduler'}]}
  - {name: '[AS] Load AutoSync vehicle images scheduler', translations: [{code: en, label: 'Load AutoSync vehicle images scheduler'}]}
  - {name: '[AS] View on vehicle', translations: [{code: en, label: 'View on vehicle'}]}
  - {name: '[AS] Select category', translations: [{code: en, label: 'Select category'}]}
  - {name: '[AS] This Brand is active', translations: [{code: en, label: 'This Brand is active'}]}
  - {name: '[AS] This Brand is inactive', translations: [{code: en, label: 'This Brand is inactive'}]}
  - {name: '[AS] B/P', translations: [{code: en, label: 'B/P'}]}
  - {name: '[AS] AutoSync trial mode notice', translations: [{code: en, label: 'AutoSync integration is in trial mode and allows importing no more than {{limit}} products for each brand.'}]}
  - {name: '[AS] Wheel category', translations: [{code: en, label: 'Wheel category'}]}
  - {name: '[AS] Tire category', translations: [{code: en, label: 'Tire category'}]}
  - {name: '[AS] Select option - placeholder', translations: [{code: en, label: 'Select option'}]}
  - {name: '[AS] Wheel category option - tooltip', translations: [{code: en, label: 'Select the category which wheel products will be imported to'}]}
  - {name: '[AS] Tire category option - tooltip', translations: [{code: en, label: 'Select the category which tire products will be imported to'}]}
  - {name: '[AS] Info tooltip (no selected some product type)', translations: [{code: en, label: 'Before you start importing products, click "Configure" button, and select categories to be imported.'}]}
  - {name: '[AS] MMY configured incorrectly', translations: [{code: en, label: 'Make/Model/Year configured incorrectly: Make, Model, Year, Submodel or Make, Model, Year, Trim supported'}]}
  - {name: '[AS] Import Vehicles', translations: [{code: en, label: 'Import Vehicles'}]}
  - {name: '[AS] Re-import Vehicles', translations: [{code: en, label: 'Re-import Vehicles'}]}
  - {name: '[AS] AutoSync Vehicle Provider name', translations: [{code: en, label: 'AutoSync'}]}
  - {name: '[AS] Replace existing make logo', translations: [{code: en, label: 'Replace existing make logo'}]}
  - {name: '[AS] Replace existing model logo', translations: [{code: en, label: 'Replace existing model logo'}]}
  - {name: '[AS] Replace existing submodel logo', translations: [{code: en, label: 'Replace existing submodel logo'}]}
  - {name: '[AS] Bore', translations: [{code: en, label: 'Bore'}]}
  - {name: '[AS] View on vehicle feature is not available for the selected vehicle.', translations: [{code: en, label: '"View on vehicle" feature is not available for the selected vehicle.'}]}
  - {name: '[AS] Select your vehicle, or find it by VIN, to view the selected part on your vehicle', translations: [{code: en, label: 'Select your vehicle, or find it by VIN, to view the selected part on your vehicle'}]}
  - {name: '[AS] Product not found in our store', translations: [{code: en, label: 'Product not found in our store'}]}
  - {name: '[AS] You tried to buy more items of "{{product}}" product {{description}} than are in stock. We have {{amount}} item(s) only. Please adjust the product quantity. Look at the {{productUrl}}.', translations: [{code: en, label: "You tried to buy more items of \"{{product}}\" product {{description}} than are in stock. We have {{amount}} item(s) only. Please adjust the product quantity. Look at the <a href={{productUrl}}>product</a>"}]}
  - {name: '[AS] Product has not been added to cart. Look at the {{productUrl}}', translations: [{code: en, label: "Product has not been added to cart. Look at the <a href={{productUrl}}>product</a>"}]}
  - {name: '[AS] The product you are trying to add to cart is unavailable. Look at the {{productUrl}}', translations: [{code: en, label: "The product you are trying to add to cart is unavailable. Look at the <a href={{productUrl}}>product</a>"}]}

XLite\Model\Config:
  - name: vehicleViewEnabled
    category: XC\AutoSync
    type: XLite\View\FormField\Input\Checkbox\OnOff
    orderby: 10
    value: 0
    translations:
      - code: en
        option_name: 'Enable "View on vehicle" button'
    module: XC\AutoSync
  - name: enabledVisualizer
    category: XC\AutoSync
    type: XLite\View\FormField\Input\Checkbox\OnOff
    orderby: 20
    value: 0
    translations:
      - code: en
        option_name: 'Enable "AutoSync Visualizer" page'
    module: XC\AutoSync
  - name: defaultPurchaseQuantity
    category: XC\AutoSync
    type: XLite\View\FormField\Input\Text\Integer
    widgetParameters:
      min: 0
      max: 100
    orderby: 30
    value: 4
    translations:
      - code: en
        option_name: 'Default purchase quantity'
    module: XC\AutoSync
